eoReduceMergeReduce(3)

NAME
eoReduceMergeReduce - eoReduceMergeReduce is an eoReplacement: - saves possible elite parents - reduces rest of parents - reduces offspring - merges reduced populations - reduces resulting merged pop if necessary

SYNOPSIS

#include <eoReduceMergeReduce.h>

Inherits eoReplacement< EOT >< EOT >.

  Public Member Functions
eoReduceMergeReduce (eoHowMany _howManyElite, bool _strongElitism, eoHowMany _howManyReducedParents, eoReduce< EOT > &_reduceParents, eoHowMany _howManyReducedOffspring, eoReduce< EOT > &_reduceOffspring, eoReduce< EOT > &_reduceFinal)
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoHowMany howManyElite
bool strongElitism
eoHowMany howManyReducedParents
eoHowMany howManyReducedOffspring
eoReduce< EOT > & reduceParents
eoReduce< EOT > & reduceOffspring
eoReduce< EOT > & reduceFinal

Detailed Description

  template<class EOT> class eoReduceMergeReduce< EOT >
eoReduceMergeReduce is an eoReplacement: - saves possible elite parents - reduces rest of parents - reduces offspring - merges reduced populations - reduces resulting merged pop if necessary

Definition at line 49 of file eoReduceMergeReduce.h.

Author

Generated automatically by Doxygen for EO from the source code.